import { Item } from "./Item";

export class Safe {

    constructor(public items: Item[]) {
        items = []
    }


    addItem(item: Item) {
        this.items.push(item);
    }

    takeOutItem(id: number) {
        this.items = this.items.filter(i => id !== i.id);
    }
    /*
        calculateInsuranceValueOfAllItem(): number {
            let sum: number = 0;
            this.items.forEach(i => sum = sum + i.insurenceValue)
            return sum
        }
    
    */
    calculateInsuranceValueOfAllItems(): number {
        return this.items.reduce((sum, item) => sum + item.insurenceValue, 0);
    }

    getAllInsuranceValues(): number[] {
        return this.items.map(item => item.insurenceValue);
    }
}