"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Safe = void 0;
class Safe {
    constructor(items) {
        this.items = items;
        items = [];
    }
    addItem(item) {
        this.items.push(item);
    }
    takeOutItem(id) {
        this.items = this.items.filter(i => id !== i.id);
    }
    /*
        calculateInsuranceValueOfAllItem(): number {
            let sum: number = 0;
            this.items.forEach(i => sum = sum + i.insurenceValue)
            return sum
        }
    
    */
    calculateInsuranceValueOfAllItems() {
        return this.items.reduce((sum, item) => sum + item.insurenceValue, 0);
    }
    getAllInsuranceValues() {
        return this.items.map(item => item.insurenceValue);
    }
}
exports.Safe = Safe;
